#include "Stupid.h"
#include <iostream>

Stupid::Stupid() : iAm(true)
{
	std::cout << "In the default constructor\n";
}

Stupid::Stupid(const Stupid& org) : iAm(org.iAm)
{
	std::cout << "In the copy constructor\n";
}

Stupid::~Stupid()
{
	std::cout << "In the destructor\n";
}

Stupid& Stupid::operator=(const Stupid& rhs)
{
	std::cout << "In the assignment operator\n";
	iAm = rhs.iAm;
	return *this;
}

bool Stupid::getState() const
{
	std::cout << "In the getState function\n";
	return iAm;
}

void Stupid::toggleState()
{
	std::cout << "In the toggleState function\n";
	iAm = !iAm;
}